org.apache.http.nio.reactor

## Interface IOReactorExceptionHandler

-     public interface IOReactorExceptionHandler

  Abstract exception handler intended to deal with potentially recoverable I/O exceptions thrown by an I/O reactor.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handle(IOException ex)` This method is expected to examine the I/O exception passed as a parameter and decide whether it is safe to continue execution of the I/O reactor.
    `boolean` | `handle(RuntimeException ex)` This method is expected to examine the runtime exception passed as a parameter and decide whether it is safe to continue execution of the I/O reactor.

- - ### Method Detail

    - #### handle

          boolean handle(IOException ex)

      This method is expected to examine the I/O exception passed as a parameter and decide whether it is safe to continue execution of the I/O reactor.
      Parameters:
        `ex` - potentially recoverable I/O exception
      Returns:
        `true` if it is safe to ignore the exception and continue execution of the I/O reactor; `false` if the I/O reactor must throw `IOReactorException` and terminate

    - #### handle

          boolean handle(RuntimeException ex)

      This method is expected to examine the runtime exception passed as a parameter and decide whether it is safe to continue execution of the I/O reactor.
      Parameters:
        `ex` - potentially recoverable runtime exception
      Returns:
        `true` if it is safe to ignore the exception and continue execution of the I/O reactor; `false` if the I/O reactor must throw `RuntimeException` and terminate

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.